

# _ X _
# O _ _
# _ O _
def stampa_tavola(tavola):
  for i in range(0, 3):
    for j in range(0, 3):
      if tavola[i][j] == 0:
        print("_ ", end="")
      elif tavola[i][j] == 1:
        print("O ", end="")
      else: # allora il valore è 2
        print("X ", end="")
    print()


# True se la mossa è valida
def valida(tavola, i, j):
  if i < 0 or i >= 3:
    return False
  if j < 0 or j >= 3:
    return False
  if tavola[i][j] != 0:
    return False
  return True

def turno(tavola, giocatore):
  mossa_valida = False
  while not mossa_valida:
    print("Inserisci la tua mossa:")
    i = int(input())
    j = int(input())
    mossa_valida = valida(tavola, i, j)
  tavola[i][j] = giocatore
  return tavola

def prossimo_giocatore(giocatore):
  if giocatore == 1:
    return 2
  else:
    return 1

def vittoria_giocatore(tavola, giocatore):
  for i in range(0, 3):
    # controllo riga
    if tavola[i][0] == giocatore and tavola[i][1] == giocatore and tavola[i][2] == giocatore:
      return True
    # controllo colonna
    if tavola[0][i] == giocatore and tavola[1][i] == giocatore and tavola[2][i] == giocatore:
      return True
  # diagonali
  if tavola[0][0] == giocatore and tavola[1][1] == giocatore and tavola[2][2] == giocatore:
    return True
  if tavola[2][0] == giocatore and tavola[1][1] == giocatore and tavola[0][2] == giocatore:
    return True
  return False

def piena(tavola):
  for i in range(0, 3):
    for j in range(0, 3):
      if tavola[i][j] == 0:
        return False
  return True

# Ci servono tre valori:
# 0 - vuoto
# 1 - O
# 2 - X
tavola = [[0, 0, 0],
          [0, 0, 0],
          [0, 0, 0]]

stampa_tavola(tavola)
giocatore_attuale = 2
while not vittoria_giocatore(tavola, giocatore_attuale) and not piena(tavola):
  giocatore_attuale = prossimo_giocatore(giocatore_attuale)
  tavola = turno(tavola, giocatore_attuale)
  stampa_tavola(tavola)
if piena(tavola) and not vittoria_giocatore(tavola, giocatore_attuale):
  print("Pareggio")
else:
  print("Ha vinto il giocatore " + str(giocatore_attuale))
